Bug 1323214 - Review Request: git-evtag - Strong GPG verification of git tags
Summary: Review Request: git-evtag - Strong GPG verification of git tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 14:41 UTC by Colin Walters
Modified: 2016-12-02 21:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 07:25:13 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Colin Walters 2016-04-01 14:41:22 UTC
Spec URL: https://github.com/cgwalters/git-evtag/blob/master/packaging/git-evtag.spec.in
SRPM URL: You can generate one, alternatively there are a pile in https://copr.fedorainfracloud.org/coprs/walters/git-evtag/
Description: Strong GPG verification of git tags
Fedora Account System Username: walters

Comment 1 Ralf Senderek 2016-04-03 07:42:35 UTC
These are my preliminary thoughts about your spec file:

1) Please add a meaningful description that does not only repeat the summary.
   People should be able to decide whether or not they'd need to install this
   package

2) You need a %changelog entry, please provide such an entry at the end of
   your spec file, and keep it up-to-date

   https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

3) Please specify the upstream URL in Source0, not only the name of the file.

4) Your spec file does not mention Requires:, but from the summary I'd expect
   that both git and gpg/gpg2 would be needed at runtime.

5) store your COPYING file under %(_datadir)/licenses/%(name) and tag it as
    %license

6) The Group-tag is missing. Also it's optional, it would be nice to place your
   binary in a group.

7) Please create a man page for your binary.

Comment 2 Ralf Senderek 2016-04-03 09:50:40 UTC
(In reply to Ralf Senderek from comment #1)

> 5) store your COPYING file under %(_datadir)/licenses)/%(name) and tag it as
>     %license

As the license text is standard LGPLv2+, it is not necessary to store it in
%(_datadir)/licenses, but marking it as %license is.


> 4) Requires:

Your binary requires at least git:

error: Failed dependencies:
	libgit2.so.23()(64bit) is needed by git-evtag-2016.1-1.fc23.x86_64

Comment 3 Colin Walters 2016-04-07 18:48:50 UTC
(In reply to Ralf Senderek from comment #1)
> These are my preliminary thoughts about your spec file:

I fixed a few of these in:
https://github.com/cgwalters/git-evtag/pull/18

Do you want to review that?

> 
> 1) Please add a meaningful description that does not only repeat the summary.
>    People should be able to decide whether or not they'd need to install this
>    package
> 
> 2) You need a %changelog entry, please provide such an entry at the end of
>    your spec file, and keep it up-to-date

This however I'll only do in dist-git, not usptream.  I don't like rpm %changelogs - IMO they should be deleted in favor of a combination of bodhi, dist-git git logs, and upstream git logs.

> 3) Please specify the upstream URL in Source0, not only the name of the file.

Ordinarily I don't do this because my modules tend to use submodules, which runs into https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Submodules

Which is something https://github.com/cgwalters/rpmdistro-gitoverlay handles out of the box.

> 4) Your spec file does not mention Requires:, but from the summary I'd expect
>    that both git and gpg/gpg2 would be needed at runtime.

Fixed these.

> 5) store your COPYING file under %(_datadir)/licenses/%(name) and tag it as
>     %license

Just saying %license seems to do the former.
 
> 6) The Group-tag is missing. Also it's optional, it would be nice to place
> your
>    binary in a group.

Not sure...nothing really uses it.

> 7) Please create a man page for your binary.

Yeah.

Comment 4 Colin Walters 2016-04-07 18:56:07 UTC
(In reply to Colin Walters from comment #3)

> > 7) Please create a man page for your binary.
> 
https://github.com/cgwalters/git-evtag/pull/19

Comment 5 Colin Walters 2016-05-11 15:17:05 UTC
For anyone who wants precompiled RPMs until this review completes, the COPR link: https://copr.fedorainfracloud.org/coprs/walters/git-evtag/

Comment 6 Igor Gnatenko 2016-07-10 15:42:38 UTC
> # For autosetup
> BuildRequires: git
not needed

> %autosetup -Sgit
don't think that you use any features from that, so %autosetup

> make %{?_smp_mflags}
%make_build

> make install DESTDIR=%{buildroot} INSTALL="install -p -c"
%make_install INSTALL="install -p -c"

> %doc COPYING README.md
%license COPYING
%doc README.md

Comment 7 Igor Gnatenko 2016-07-10 15:45:18 UTC
* no changelog section
* 2016.1 -> %{version}

Resolution: ALMOST GOOD

Comment 8 Colin Walters 2016-07-12 02:03:48 UTC
I'd prefer to keep %autosetup, since I always find myself adding it to packages that don't have it the minute I do have to add patches.

Other bits in https://github.com/cgwalters/git-evtag/commit/5454ceb3939a6a41fce21e312facd27c40286a9f

OK?

Comment 9 Gwyn Ciesla 2016-11-20 16:46:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/git-evtag

Comment 10 Fedora Update System 2016-11-20 20:09:49 UTC
git-evtag-2016.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-38e351d6f2

Comment 11 Fedora Update System 2016-11-20 20:09:57 UTC
git-evtag-2016.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66b8607f19

Comment 12 Fedora Update System 2016-11-23 20:31:06 UTC
git-evtag-2016.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66b8607f19

Comment 13 Fedora Update System 2016-11-23 23:05:27 UTC
git-evtag-2016.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-38e351d6f2

Comment 14 Fedora Update System 2016-11-28 07:25:13 UTC
git-evtag-2016.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-02 21:25:08 UTC
git-evtag-2016.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.